#
# spec file for package golang-github-hoisie-web
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Sascha Peilicke <saschpe@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-github-hoisie-web
Version:        0.0.0+git20130630.5a66d0f
Release:        3.1
Summary:        A simple framework to write webapps in Go
License:        MIT
Group:          Development/Languages/Other
Url:            http://github.com/hoisie/web
Source:         web-%{version}.tar.xz
# PATCH-FIX-UPSTREAM code.google.com/p/go.net is obsolete
# use golang.org/x/net instead
Patch:		web.go-go.net.patch
BuildRequires:  golang-packaging
BuildRequires:	golang(golang.org/x/net)
BuildRequires:	xz
Provides:	go-web.go = %{version}
Obsoletes:	go-web.go < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}

%description
Web.go is the simplest way to write web applications in the Go programming
language. It's ideal for writing simple, performant backend web services.

%gosrc_package

%prep
%setup -q -n web-%{version}
%patch -p1

%build
%goprep github.com/hoisie/web
%gobuild

%install
%goinstall
%godoc

%files
%defattr(-,root,root,-)
%doc LICENSE Readme.md examples
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Sat Jul 25 2015 i@marguerite.su
- rename to golang-github-hoisie-web
- use golang-packaging for packaging
* Sat Mar 21 2015 i@marguerite.su
- update version 0.0.0+git20130630.5a66d0f
- import path changed to github.com/hoisie/web
- drop weekly-build-fix.patch
  * upstream contains this fix
- remove go_disable_brp_strip_static_archive usage
- add patch web.go-go.net.patch
  * patch web.go to use golang.org/x/net instead of
    code.google.com/p/go.net
* Mon Aug  5 2013 ro@suse.de
- use ExclusiveArch to limit build to the same architectures as go
* Mon Jun 11 2012 graham@andtech.eu
- update spec file for new pacakge location
- add documentation package
* Fri Feb 17 2012 graham@andtech.eu
- updates for weekly.2012-02-12
* Tue Dec 13 2011 saschpe@suse.de
- Apply fixes for weekly.2011-12-02 changes
* Thu Oct  6 2011 graham@andtech.eu
- Update to 15/09/2011 git version:
  * Updates for Go r.60
* Sat Aug 13 2011 saschpe@gmx.de
- Update to 13/08/2011 git version:
  * Updates for Go r.59
- Drop web.go-fix-weekly patch, merged upstream
* Mon Jun 27 2011 graham@andtech.eu
- Add patch to build against weekly 2011.06.23 api changes
* Wed Jun  8 2011 saschpe@suse.de
- Use new %%go_disable_brp_strip_static_archive macro
* Sun May 22 2011 saschpe@gmx.de
- Disable tests on Mandriva
* Sat May 21 2011 saschpe@gmx.de
- Switch to %%{go_make_test} macro
* Fri May 20 2011 saschpe@suse.de
- Use Go RPM macros instead of custom ones
- Use proper package versioning scheme (needs reinstall)
- Drop provides/obsoletes of old package, needs reinstall anyway
* Thu May 19 2011 saschpe@suse.de
- Removed rpmlintrc, not needed anymore
* Thu May 19 2011 saschpe@suse.de
- Simpler build
* Wed May 18 2011 saschpe@suse.de
- Disable tests for Mandriva
- Also disable brp-strip-static-archive on RHEL and CentOS
* Wed May 18 2011 saschpe@suse.de
- Don't require 'go'
- Disable brp-strip-static-archive on Fedora, breaks build
- Provide devel and devel-static packages
- Remove devel-file-in-non-devel-package rpmlint filter
* Wed May 18 2011 saschpe@suse.de
- Update to 18/05/2011 mercurial version
- Run tests
* Mon Mar 21 2011 saschpe@suse.de
- Removed authors from description
- Removed pkg_version macro, use %%%%{version} directly
* Wed Mar  9 2011 graham@andtech.eu
- Updates to work with latest 20110307 release
- Use net/textproto MIMEHeader.Get()
- Type assert the http.ResponseWriter into a Hijacker on Close()
* Tue Mar  1 2011 graham@andtech.eu
- Update to 28/02/2011 upstream version
* Wed Feb  9 2011 saschpe@suse.de
- Update to 09/02/2011 upstream version
* Thu Dec  2 2010 speilicke@novell.com
- Update to 02/12/2010 upstream version
* Mon Nov  8 2010 speilicke@novell.com
- Initial commit
